Forum

Results 1 to 5 of 5
  1. #1
    Join Date
    January 2019
    Posts
    3

    teamspeak-3.2.3 fails with Qt-5.12

    On gentoo, we're already upgrading to Qt-3.2.3. When I try to start Teamspeak, I get the following error:

    Code:
    $ ts3client 
    /opt/teamspeak3-client/ts3client: relocation error: /opt/teamspeak3-client/ts3client: symbol calloc version Qt_5 not defined in file libQt5WebEngineCore.so.5 with link time reference
    The bug page for the arch package says this is a problem with "upstream," so I'm posting it here.

  2. #2
    Join Date
    September 2012
    Posts
    6,080
    TeamSpeak uses Qt 5.6.2, any other version may fail due to changes in the API. The TeamSpeak client includes the required Qt libraries and you're supposed to use those rather than system provided ones.
    When sending PMs please make sure to include a reference link to the thread in question in the body of your message.

  3. #3
    Join Date
    January 2019
    Posts
    3
    Right, so how do I invoke the client to use its own Qt libraries instead of the system ones? Simply doing
    Code:
    /opt/teamspeak3-client/ts3client-bin
    doesn't work.

    Cheers,

    EE

  4. #4
    Join Date
    January 2006
    Posts
    8
    Quote Originally Posted by Chris View Post
    TeamSpeak uses Qt 5.6.2, any other version may fail due to changes in the API. The TeamSpeak client includes the required Qt libraries and you're supposed to use those rather than system provided ones.
    Are there any plans to recompile ts3client for newer Qt versions? Currently, it works up to 5.11.x.

  5. #5
    Join Date
    January 2019
    Posts
    3
    Also, when I look through the files belonging to teamspeak, the only Qt anything I see are the following:

    Code:
    /opt/teamspeak3-client/QtWebEngineProcess -> ../../usr/lib64/qt5/libexec/QtWebEngineProcess
    and
    Code:
    /opt/teamspeak3-client/resources/qtwebengine_resources.pak
    /opt/teamspeak3-client/resources/qtwebengine_resources_100p.pak
    /opt/teamspeak3-client/resources/qtwebengine_resources_200p.pak
    So the file /opt/teamspeak3-client/QtWebEngineProcess is linking to my system Qt. Is this in error? How do I invoke the client to use its own Qt?

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Replies: 18
    Last Post: August 27th, 2016, 09:28 PM
  2. [Resolved] Teamspeak 3.0.10.X fails to launch on FreeBSD 10
    By Kovra in forum Linux / FreeBSD
    Replies: 7
    Last Post: July 3rd, 2014, 10:29 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •